# Contributing to Inspector for Drupal

👍🎉 First off, thanks for taking the time to contribute! 🎉👍

The following is a set of guidelines for contributing to the Inspector Drupal module. These are mostly guidelines, not rules. Use your best judgment, and feel free to propose changes to this document in a pull request.

## I don't want to read this whole thing I just have a question!!!

> Note: Please don't file an issue to ask a question. You'll get faster results by using the resources below.

- Email: [support@inspector.dev](support@inspector.dev)
- Use the live chat widget in your dashboard.

## How can I contribute?

### Reporting Bugs

When you are creating a bug report, please include as many details as possible.
Fill out the required template, the information it asks for helps us resolve issues faster.

> Note: If you find a Closed issue that seems like it is the same thing that you're experiencing,
> open a new issue and include a link to the original issue in the body of your new one.

#### Before Submitting A Bug Report

- **Update to the Latest Version**. You might be running into an issue which was already fixed in a more recent version of the package than the one you're using.
- **Perform a [cursory search](https://github.com/search?q=is%3Aissue+user%3Ainspector-apm)** to see if the problem has already been reported. If it has and the issue is still open, add a comment to the existing issue instead of opening a new one.

### Open a Pull Request

#### Did you write a patch that fixes a bug?

- Open a new GitHub pull request with the patch.
- Ensure the PR description clearly describes the problem and solution. Include the relevant issue number if applicable.

#### Do you intend to add a new feature or change an existing one?

- Suggest your change to the repository's maintainer, or send an email at [support@inspector.dev](support@inspector.dev)
- Do not open an issue on GitHub until you have collected positive feedback about the change. GitHub issues are primarily intended for bug reports and fixes.

Thanks! ❤️ ❤️ ❤️

Inspector Team
