<?php

namespace Drupal\inspector_monitoring\Service;

use Inspector\Configuration;
use Inspector\Exceptions\InspectorException;
use Inspector\Inspector as BaseInspector;

/**
 * Provides the Inspector service for monitoring.
 */
class Inspector extends BaseInspector {

    /**
     * Create a new Inspector instance.
     *
     * @param string $ingestionKey
     *   The ingestion key for the Inspector service.
     * @param string $transport
     *   The transport method ('sync' or other valid transport).
     *
     * @return \Drupal\inspector_monitoring\Service\Inspector
     *   The Inspector instance.
     * @throws InspectorException
     */
  public static function create(string $ingestionKey = '', string $transport = 'sync') {
    return new static(
      (new Configuration($ingestionKey))
        ->setVersion('1.0.1')
        ->setTransport($transport)
    );
  }

}
